Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get topic persons

Get unique persons participating in a v1 or v2 topic, based on message authors linked via PersonIdentity

GET/topics/{topicId}/people
Authorization
AuthorizationBearer token · headerrequired

Organization API key (modem_…).

Path parameters
topicIdstring<uuid>required
Responses
200

OK

dataobject[]required
Show properties
Array of object
avatarUrlstring | nullrequired
Show properties
Any of:
string
string
null
null
companyobject | nullrequired
Show properties
Any of:
object
domainstring | nullrequired
Show properties
Any of:
string
string
null
null
idstringrequired
logoUrlstring | nullrequired
Show properties
Any of:
string
string
null
null
namestringrequired
null
null
displayNamestringrequired
idstringrequired
identitiesobject[]required
Show properties
Array of object
platformstringrequired
platformIdstringrequired
isBotbooleanrequired
isVipbooleanrequired
messageCountnumberrequired
sourcesstring[]required
titlestring | nullrequired
Show properties
Any of:
string
string
null
null
400

Invalid request (validation failed).

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

401

Missing or invalid API key.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

403

The API key does not have access to this resource.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

404

The requested resource was not found.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

429

Rate limit exceeded.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

500

Internal server error.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.modem.dev/v1/topics/497f6eca-6276-4993-bfeb-53cbbbba6f08/people' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "avatarUrl": "string",
      "company": {
        "domain": "string",
        "id": "string",
        "logoUrl": "string",
        "name": "string"
      },
      "displayName": "string",
      "id": "string",
      "identities": [
        {
          "platform": "string",
          "platformId": "string"
        }
      ],
      "isBot": true,
      "isVip": true,
      "messageCount": 0,
      "sources": [
        "string"
      ],
      "title": "string"
    }
  ]
}

Was this page helpful?